﻿using Owin;
using Microsoft.Owin;
//using Microsoft.AspNetCore.Cors.Infrastructure;
using Microsoft.Owin.Cors;
using Microsoft.AspNet.SignalR;


[assembly: OwinStartup(typeof(SYSCore.Startup))]

namespace SYSCore
{
    public class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            app.Map("/signalr", map =>
            {
                map.UseCors(CorsOptions.AllowAll);

                var hubConfiguration = new HubConfiguration
                {
                    EnableJSONP = true
                };
                
                map.RunSignalR(hubConfiguration);
            });
        }
    }
}
